Subject: Re: git compiled on same distro, different versions

From: Junio C Hamano <[email-masked]>
Date: Fri, 24 Feb 2012 14:08:23 -0800

"Neal Kreitzinger" <[email-masked]> writes:

> If I only test a new git version (compiled from git.git source) on RHEL6 
> before I put it on the RHEL5 box is that sufficient for validation?  Should 
> git behave the same on both?  If not, why?

I somehow find this a strange question to ask to Git people; you may have
better luck asking the question to RHEL folks.

Having said that, one of the reasons the result may not work, off the top
of my head, is that the binary you compiled would expect to link with the
system libraries that are available on your RHEL6 installation.  If your
RHEL5 installation does not have a matching and ABI compatible library to
any of them, the resulting binary would obviously not work there.